Package: org.grails.core.artefact

## [Java] Class AnnotationDomainClassArtefactHandler

- org.grails.core.artefact.AnnotationDomainClassArtefactHandler

- Detects annotated domain classes for EJB3 style mappings.

  Authors:
    Graeme Rocher
  Since:
    1.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class DomainClassArtefactHandler` | `PLUGIN_NAME, TYPE`
    `class ArtefactHandlerAdapter` | `allowAbstract, artefactSuffix, grailsClassImpl, grailsClassType, type`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.util.Set<java.lang.String>` | `getJpaClassNames()`
    `` | `boolean` | `isArtefactClass(java.lang.Class clazz)`
    `` | `static boolean` | `isJPADomainClass(java.lang.Class<?> clazz)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DomainClassArtefactHandler` | `getOrder, getPluginName, isArtefact, isArtefactClass, isArtefactResource, isDomainClass, isDomainClass, isValidArtefactClassNode, newArtefactClass, newArtefactClass, setGrailsApplication`
    `class ArtefactHandlerAdapter` | `getArtefactForFeature, getPluginName, getType, initialize, isArtefact, isArtefact, isArtefactClass, isArtefactGrailsClass, isArtefactResource, isValidArtefactClassNode, newArtefactClass`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public java.util.Set<java.lang.String> getJpaClassNames()

    - #### @java.lang.Override public boolean isArtefactClass(@java.lang.SuppressWarnings("rawtypes") java.lang.Class clazz)

    - #### public static boolean isJPADomainClass(java.lang.Class<?> clazz)